Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class LineInfo

    java.lang.Object
      org.biojava.bio.gui.sequence.LineInfo

    public class LineInfo

extends Object

Encapsulates the rendering info for a single line of the display.

The single line of info may be divided into multiple regions, each rendered by their own SequenceRenderer. It is the job of this class to cache the information about how much space each one wants, and how much space they want in total. A SequenceRenderer or SequencePanel that delegates rendering to multiple child SequenceRenderer instances may want to use these objects for storing this information about each row they are responsible for.

Author:
  Matthew Pocock

Constructor Summary
`LineInfo()`

Method Summary
`double` | `getDepth(SequenceRenderer r)`
`double` | `getTotalDepth()`
`void` | `setDepth(SequenceRenderer r, double depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineInfo

    public LineInfo()

Method Detail

### getDepth

    public double getDepth(SequenceRenderer r)

### setDepth

    public void setDepth(SequenceRenderer r,
                         double depth)

### getTotalDepth

    public double getTotalDepth()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD